Fix problem with devfs when unloading the dm module.

dm-ioctl.c: deregister the misc device, and its associated symlink
*before* removing the /dev/mapper dir.  [Alasdair Kergon]
--- diff/drivers/md/dm-ioctl.c	2003-06-17 10:06:58.000000000 +0100
+++ source/drivers/md/dm-ioctl.c	2003-06-17 10:07:03.000000000 +0100
@@ -1145,15 +1145,15 @@
 	return 0;
 
       failed:
-	dm_hash_exit();
 	misc_deregister(&_dm_misc);
+	dm_hash_exit();
 	return r;
 }
 
 void dm_interface_exit(void)
 {
-	dm_hash_exit();
-
 	if (misc_deregister(&_dm_misc) < 0)
 		DMERR("misc_deregister failed for control device");
+
+	dm_hash_exit();
 }
